<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <ApplicationManifest>app.manifest</ApplicationManifest>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <WarningLevel>0</WarningLevel>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <WarningLevel>0</WarningLevel>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Mapster" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\DataBase\DB_Proxima\DB_Proxima.csproj" />
    <ProjectReference Include="..\DataBase\SqlSugarORM\SqlSugarORM.csproj" />
    <ProjectReference Include="..\Data\DataService\DataService.csproj" />
  </ItemGroup>

</Project>
